gRPC C#
gRPC C#
Namespaces
Grpc.Core
CallOptions Structure
CallOptions Constructor
CallOptions Properties
CallOptions Methods

CallOptions Structure

Options for calls made by client.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public struct CallOptions

    Public Structure CallOptions

    public value class CallOptions

    [<SealedAttribute>]
    type CallOptions =  struct end

The CallOptions type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| CallOptions | Creates a new instance of CallOptions struct.

Top
Properties

| Name | Description
--- | --- | ---
| CancellationToken | Token that can be used for cancelling the call.
| Deadline | Call deadline.
| Headers | Headers to send at the beginning of the call.
| PropagationToken | Token for propagating parent call context.
| WriteOptions | Write options that will be used for this call.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
| GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
| WithCancellationToken | Returns new instance of CallOptions with CancellationToken set to the value provided. Values of all other fields are preserved.
| WithDeadline | Returns new instance of CallOptions with Deadline set to the value provided. Values of all other fields are preserved.
| WithHeaders | Returns new instance of CallOptions with Headers set to the value provided. Values of all other fields are preserved.

Top
See Also

#### Reference

Grpc.Core Namespace